## libapache-mod-auth-curdir 1.3.31-3-2

=== Makefile ===
#!/usr/bin/make
#
# $Id: Makefile,v 1.1 2004/08/17 15:39:14 dexter Exp $


# Where to find apxs. Could be in the sbin or the bin directory
 APXS=/usr/bin/apxs

# Add any extra flags you need to compile
 EXTRA_CFLAGS= -Wall

# You shouldn't need to change anything below here. If you do, report it
# as a bug.

MODULES=mod_auth_curdir.so mod_auth_dbm_curdir.so mod_auth_db_curdir.so

CC=`$(APXS) -q CC`
CFLAGS=`$(APXS) -q CFLAGS` $(EXTRA_CFLAGS)
CFLAGS_SHLIB=`$(APXS) -q CFLAGS_SHLIB` 
INCLUDEDIR=`$(APXS) -q INCLUDEDIR`
LD_SHLIB=`$(APXS) -q LD_SHLIB`
LDFLAGS_SHLIB=`$(APXS) -q LDFLAGS_SHLIB` -ldb

%.so: %.c
	@echo $(APXS) -c -o $@ $< $(EXTRA_CFLAGS)
	@$(APXS) -c -o $@ $< $(EXTRA_CFLAGS)

build: $(MODULES)

install: $(MODULES)
	$(APXS) -i $(ACTIVATE) $(MODULES)

clean:
	rm -f *.so *.o *~ core $(AIX_EXP)

$(AIX_EXP):
	@echo mod_auth_curdir > $@
