## libapache-mod-auth-curdir 1.3.31-3-1

=== debian/changelog ===
libapache-mod-auth-curdir (1.3.31-3-1) unstable; urgency=medium

  * Build from new Apache source.
  * Converted to Debian native package.
  * Fixed bad modules info files.

 -- Piotr Roszatycki <dexter@debian.org>  Tue, 17 Aug 2004 18:13:16 +0200

libapache-mod-auth-curdir (1.3.27.0-2-1) unstable; urgency=low

  * New upstream release.
    + Supports new Apache, closes: #195366

 -- Piotr Roszatycki <dexter@debian.org>  Mon, 30 Jun 2003 01:56:39 +0200

libapache-mod-auth-curdir (1.3.26.1.1-2) unstable; urgency=low

  * Better package description, closes: #163638

 -- Piotr Roszatycki <dexter@debian.org>  Thu, 10 Oct 2002 16:11:04 +0200

libapache-mod-auth-curdir (1.3.26.1.1-1) unstable; urgency=low

  * New upstream release.

 -- Piotr Roszatycki <dexter@debian.org>  Thu,  3 Oct 2002 12:47:25 +0200

libapache-mod-auth-curdir (1.3.24.3-1) unstable; urgency=low

  * Initial Debian version.

 -- Piotr Roszatycki <dexter@debian.org>  Mon, 13 May 2002 15:12:31 +0200
