=== debian/control ===
Source: libapache-mod-auth-curdir
Maintainer: Piotr Roszatycki <dexter@debian.org>
Section: web
Priority: extra
Standards-Version: 3.6.1
Build-Depends: apache-dev, yada (>= 0.30)

Package: libapache-mod-auth-curdir
Architecture: any
Depends: apache-common (>= 1.3.31-3), ${libapache-mod-auth-curdir:Depends}
Description: Apache modules which provide a passwd file in the current directory
 These authentication modules enable Apache to seek password files in
 the current directory. It makes it possible to use the same .htaccess
 file for all directores of a web site and doesn't require you to know
 the full path to the password file.
