## libapache-mod-auth-curdir 1.3.31-3-2

=== debian/changelog ===
libapache-mod-auth-curdir (1.3.31-3-2) unstable; urgency=low

  * Fixed postinst script.

 -- Piotr Roszatycki <dexter@debian.org>  Sat, 26 Feb 2005 17:25:51 +0100
