=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: libapache-mod-auth-curdir
 Architecture: any
-Depends: apache-common (>= 1.3.31-3), ${libapache-mod-auth-curdir:Depends}
+Depends: apache-common (>= 1.3.33-4), ${libapache-mod-auth-curdir:Depends}
 Description: Apache modules which provide a passwd file in the current directory
  These authentication modules enable Apache to seek password files in
  the current directory. It makes it possible to use the same .htaccess
